Package org.apache.nutch.service.model.response

## Class FetchNodeDbInfo

- java.lang.Object
- - org.apache.nutch.service.model.response.FetchNodeDbInfo

-     public class FetchNodeDbInfo
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `FetchNodeDbInfo()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `List<org.apache.nutch.service.model.response.FetchNodeDbInfo.ChildNode>` | `getChildren()` |
    `int` | `getNumOfOutlinks()` |
    `int` | `getStatus()` |
    `String` | `getUrl()` |
    `void` | `setChildNodes​(Outlink[] links)` |
    `void` | `setChildren​(List<org.apache.nutch.service.model.response.FetchNodeDbInfo.ChildNode> children)` |
    `void` | `setNumOfOutlinks​(int numOfOutlinks)` |
    `void` | `setStatus​(int status)` |
    `void` | `setUrl​(String url)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FetchNodeDbInfo

          public FetchNodeDbInfo()

  - ### Method Detail

    - #### getUrl

          public String getUrl()

    - #### setUrl

          public void setUrl​(String url)

    - #### getStatus

          public int getStatus()

    - #### setStatus

          public void setStatus​(int status)

    - #### getNumOfOutlinks

          public int getNumOfOutlinks()

    - #### setNumOfOutlinks

          public void setNumOfOutlinks​(int numOfOutlinks)

    - #### setChildNodes

          public void setChildNodes​(Outlink[] links)

    - #### getChildren

          public List<org.apache.nutch.service.model.response.FetchNodeDbInfo.ChildNode> getChildren()

    - #### setChildren

          public void setChildren​(List<org.apache.nutch.service.model.response.FetchNodeDbInfo.ChildNode> children)